# Uses of Interface
org.eclipse.jdt.debug.core.IJavaThreadGroup

Packages that use IJavaThreadGroup
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).

## Uses of IJavaThreadGroup in org.eclipse.jdt.debug.core

Methods in org.eclipse.jdt.debug.core that return IJavaThreadGroup
Modifier and Type
Method
Description
`IJavaThreadGroup[]`
IJavaDebugTarget.`getAllThreadGroups()`
Returns all thread groups in this target.
`IJavaThreadGroup[]`
IJavaDebugTarget.`getRootThreadGroups()`
Returns the top level thread groups in this target.
`IJavaThreadGroup`
IJavaThread.`getThreadGroup()`
Returns the thread group this thread belongs to or `null` if none.
`IJavaThreadGroup`
IJavaThreadGroup.`getThreadGroup()`
Returns the thread group this thread group is contained in or `null` if none.
`IJavaThreadGroup[]`
IJavaThreadGroup.`getThreadGroups()`
Returns immediate thread groups contained in this thread.